Skip to main content
POST
/
core
/
companies
/
{company_id}
/
bank_transactions
Create Bank Transaction
curl --request POST \
  --url https://api.integrations.commenda.io/v4/core/companies/{company_id}/bank_transactions \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "data": {
    "contact_id": "123456",
    "account_id": "123456",
    "from_account_id": "123456",
    "to_account_id": "123456",
    "currency_id": "123456",
    "amount": 1000,
    "type": "creditcard",
    "debit_or_credit": "DEBIT",
    "status": "Test",
    "currency_rate": 1000,
    "transaction_date": "2024-01-25T09:00:00Z",
    "updated_at": "2024-01-25T09:00:00Z"
  }
}
'
{
  "data": {
    "rootfi_id": 123,
    "rootfi_deleted_at": null,
    "rootfi_created_at": "2024-01-25T09:00:00Z",
    "rootfi_updated_at": "2024-01-25T09:30:00Z",
    "rootfi_company_id": 456,
    "platform_id": "123456_1",
    "contact_id": "123456",
    "account_id": "123456",
    "from_account_id": "123456",
    "to_account_id": "123456",
    "currency_id": "123456",
    "amount": 1000,
    "type": "creditcard",
    "debit_or_credit": "DEBIT",
    "status": "Test",
    "currency_rate": 1000,
    "transaction_date": "2024-01-25T09:00:00Z",
    "updated_at": "2024-01-25T09:00:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

Bank Transactions include the Transactional banking data for a specific company and account.

Additional Required Fields

To successfully create a bank transaction, certain fields must be included in the raw_data object of the request body. The required fields are as follows:
IntegrationFieldDescription
ZOHO_BOOKSfrom_account_idThe ID of the account from which the amount is transferred.
XEROfrom_account_idThe ID of the account from which the amount is transferred.
FRESH_BOOKSreferenceThe reference for the transaction.
MYOB_BUSINESStax_idThe ID of the tax applied to the transaction.
SAGE_CLOUD_ACCOUNTINGreferenceThe reference for the transaction.

Authorizations

api_key
string
header
required

Path Parameters

company_id
integer
required

RootFi company ID for the company connection to read or write.

Body

application/json
data
accountingBankTransactionFields · object
required

Single record for synchronous writes (default). For two or more records, pass an array and set query parameter run_async=true.

Response

data
accountingBankTransactionObject · object

The data of the created bank transaction

sync_id
string | null

The sync id of the request